#!/usr/bin/perl

use strict;
use FDN::Common::Config;
use FDN::Common::Logger;
use FDN::Web::Array;
use FDN::Adsl::Adhs;
use FDN::Adsl::Basic;
use FDN::Adsl::Utils;

prepare_page_adh();
my $page = '';
my $cid = $sess->{content}->{cid};
my $users = $sess->{content}->{users};

my $img  = $vars->{'img'};
my $freq = $vars->{'freq'};

my $found = 0;
if ( $img eq 'connexions' ||
     $img eq 'total.rrd' ||
     $img eq 'total_option1.rrd' ||
     $img eq 'total_option3.rrd' ) {
	$found = 1;
}

my $login = $img;
$login =~ s/\.rrd$//;
if ( $users->{$login} ) {	
	$found = 1;
}

if ( ! $found ) {
	error "Acces refus  $img.";
	eject_page_adh("File not found: $img");
	exit(0);
}

my $base = Config_Key('adsl/global.cfg','dirs','stockimg');
my $file = $base.'/'.$img.'_'.$freq.'.png';
if ( ! -f $file ) {
	error "File not found: $file";
	eject_page_adh("File not found: $file");
} else {
	send_png_file($file);
}
